Bug 216255 - qla4xxx: fix timing issue for nvram accesses
Summary: qla4xxx: fix timing issue for nvram accesses
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Christie
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 213807 216985
TreeView+ depends on / blocked
 
Reported: 2006-11-18 02:52 UTC by David Somayajulu
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 00:36:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla4xxx: fix timing issue for nvram accesses (2.98 KB, patch)
2006-11-18 02:52 UTC, David Somayajulu
no flags Details | Diff
Cleaned up version of the previous patch (4.35 KB, patch)
2006-11-20 23:38 UTC, David Somayajulu
no flags Details | Diff
rejenerated patch against root of kernel source tree (4.05 KB, patch)
2006-12-02 03:42 UTC, David Somayajulu
no flags Details | Diff

Description David Somayajulu 2006-11-18 02:52:53 UTC
Description of problem:
For some combination of cpu/pci-slot speeds it is possible for the time 
between successive accesses to nvram registers to fall below the minimum 
threshold of 250ns. This can result in incorrect data.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Somayajulu 2006-11-18 02:52:53 UTC
Created attachment 141548 [details]
qla4xxx: fix timing issue for nvram accesses

Comment 2 David Somayajulu 2006-11-20 23:38:10 UTC
Created attachment 141709 [details]
Cleaned up version of the previous patch

Cleaned up the previously posted patch and fixed a couple of holes.

Comment 3 David Somayajulu 2006-12-02 03:42:47 UTC
Created attachment 142650 [details]
rejenerated patch against root of kernel source tree

rejenerated patch against root of kernel source tree

Comment 6 RHEL Product and Program Management 2006-12-07 18:06:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jay Turner 2006-12-14 03:24:03 UTC
QE ack for RHEL5.

Comment 8 Tom Coughlan 2007-01-11 15:32:18 UTC
This went in as part of the 213807 fix. That BZ is MODIFIED, so
I am setting this likewise. 

Comment 9 RHEL Product and Program Management 2007-02-08 00:36:45 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.